Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78076 - Kernel errors in 2.4.16 (Rh 7.2)
Summary: Kernel errors in 2.4.16 (Rh 7.2)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-18 19:58 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:12 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-18 19:58:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; H010818; .NET 
CLR 1.0.3705)

Description of problem:
Nov 18 04:02:03 bohemia kernel: ------------[ cut here ]------------
Nov 18 04:02:03 bohemia kernel: kernel BUG at page_alloc.c:85!
Nov 18 04:02:03 bohemia kernel: invalid operand: 0000
Nov 18 04:02:03 bohemia kernel: Kernel 2.4.9-34
Nov 18 04:02:03 bohemia kernel: CPU:    0
Nov 18 04:02:03 bohemia kernel: EIP:    0010:[__free_pages_ok+41/736]    Not 
tainted
Nov 18 04:02:03 bohemia kernel: EIP:    0010:[<c012f159>]    Not tainted
Nov 18 04:02:03 bohemia kernel: EFLAGS: 00010286
Nov 18 04:02:03 bohemia kernel: EIP is at __free_pages_ok [kernel] 0x29 
Nov 18 04:02:03 bohemia kernel: eax: 0000001f   ebx: c1578258   ecx: 00000001   
edx: 00002d2d
Nov 18 04:02:03 bohemia kernel: esi: c1578258   edi: 001d4000   ebp: 00000000   
esp: cae3bdd8
Nov 18 04:02:03 bohemia kernel: ds: 0018   es: 0018   ss: 0018
Nov 18 04:02:03 bohemia kernel: Process httpd (pid: 31042, stackpage=cae3b000)
Nov 18 04:02:03 bohemia kernel: Stack: c0231453 00000055 c1044010 c02b8ba4 
00000216 ffffffff 00009274 c1578258 
Nov 18 04:02:03 bohemia kernel:        c1578258 001d4000 00170000 c01300f5 
c0130772 c013078c c0327360 c1116368 
Nov 18 04:02:03 bohemia kernel:        c1578258 00000000 c0124116 c1578258 
00000118 ca6227d4 00000000 08259000 
Nov 18 04:02:03 bohemia kernel: Call Trace: 
[call_spurious_interrupt+121026/146223] .rodata.str1.1 [kernel] 0x27ee 
Nov 18 04:02:03 bohemia kernel: Call Trace: [<c0231453>] .rodata.str1.1 
[kernel] 0x27ee 
Nov 18 04:02:03 bohemia kernel: [free_page_and_swap_cache+197/208] 
free_page_and_swap_cache [kernel] 0xc5 
Nov 18 04:02:03 bohemia kernel: [<c01300f5>] free_page_and_swap_cache [kernel] 
0xc5 
Nov 18 04:02:03 bohemia kernel: [free_swap_and_cache+34/192] 
free_swap_and_cache [kernel] 0x22 
Nov 18 04:02:03 bohemia kernel: [<c0130772>] free_swap_and_cache [kernel] 0x22 
Nov 18 04:02:03 bohemia kernel: [free_swap_and_cache+60/192] 
free_swap_and_cache [kernel] 0x3c 
Nov 18 04:02:03 bohemia kernel: [<c013078c>] free_swap_and_cache [kernel] 0x3c 
Nov 18 04:02:03 bohemia kernel: [zap_page_range+486/704] zap_page_range 
[kernel] 0x1e6 
Nov 18 04:02:03 bohemia kernel: [<c0124116>] zap_page_range [kernel] 0x1e6 
Nov 18 04:02:03 bohemia kernel: [vmfree_area_pages+306/448] vmfree_area_pages 
[kernel] 0x132 
Nov 18 04:02:03 bohemia kernel: [<c012b8f2>] vmfree_area_pages [kernel] 0x132 
Nov 18 04:02:04 bohemia kernel: [exit_mmap+184/288] exit_mmap [kernel] 0xb8 
Nov 18 04:02:04 bohemia kernel: [<c0126968>] exit_mmap [kernel] 0xb8 
Nov 18 04:02:04 bohemia kernel: [mmput+84/112] mmput [kernel] 0x54 
Nov 18 04:02:04 bohemia kernel: [<c01159b4>] mmput [kernel] 0x54 
Nov 18 04:02:04 bohemia kernel: [do_exit+179/496] do_exit [kernel] 0xb3 
Nov 18 04:02:04 bohemia kernel: [<c0119b23>] do_exit [kernel] 0xb3 
Nov 18 04:02:04 bohemia kernel: [dequeue_signal+109/176] dequeue_signal 
[kernel] 0x6d 
Nov 18 04:02:04 bohemia kernel: [<c011f12d>] dequeue_signal [kernel] 0x6d 
Nov 18 04:02:04 bohemia kernel: [do_signal+564/672] do_signal [kernel] 0x234 
Nov 18 04:02:04 bohemia kernel: [<c0106e14>] do_signal [kernel] 0x234 
Nov 18 04:02:04 bohemia kernel: [sys_rt_sigaction+147/240] sys_rt_sigaction 
[kernel] 0x93 
Nov 18 04:02:04 bohemia kernel: [<c0120503>] sys_rt_sigaction [kernel] 0x93 
Nov 18 04:02:04 bohemia kernel: [sys_sigreturn+185/240] sys_sigreturn [kernel] 
0xb9 
Nov 18 04:02:04 bohemia kernel: [<c01063c9>] sys_sigreturn [kernel] 0xb9 
Nov 18 04:02:04 bohemia kernel: [signal_return+20/24] signal_return [kernel] 
0x14 
Nov 18 04:02:04 bohemia kernel: [<c0106fac>] signal_return [kernel] 0x14 
Nov 18 04:02:04 bohemia kernel: 
Nov 18 04:02:04 bohemia kernel: 
Nov 18 04:02:04 bohemia kernel: Code: 0f 0b 5e 5f 8b 4b 08 85 c9 74 10 6a 57 68 
53 14 23 c0 e8 f0 
Nov 18 04:08:56 bohemia kernel:  ------------[ cut here ]------------
Nov 18 04:08:56 bohemia kernel: kernel BUG at swap.c:83!
Nov 18 04:08:56 bohemia kernel: invalid operand: 0000
Nov 18 04:08:56 bohemia kernel: Kernel 2.4.9-34
Nov 18 04:08:56 bohemia kernel: CPU:    0
Nov 18 04:08:56 bohemia kernel: EIP:    0010:
[deactivate_page_nolock+166/288]    Not tainted
Nov 18 04:08:56 bohemia kernel: EIP:    0010:[<c012d106>]    Not tainted
Nov 18 04:08:56 bohemia kernel: EFLAGS: 00010282
Nov 18 04:08:56 bohemia kernel: EIP is at deactivate_page_nolock [kernel] 0xa6 
Nov 18 04:08:56 bohemia kernel: eax: 00000019   ebx: c1578258   ecx: 00000053   
edx: c02313ed
Nov 18 04:08:56 bohemia kernel: esi: c1578258   edi: c1578274   ebp: 00000257   
esp: c188ffb8
Nov 18 04:08:56 bohemia kernel: ds: 0018   es: 0018   ss: 0018
Nov 18 04:08:56 bohemia kernel: Process kswapd (pid: 5, stackpage=c188f000)
Nov 18 04:08:56 bohemia kernel: Stack: 0001fff0 c012e97f c1578258 0000d816 
000000b7 c188e000 00000006 000000c0 
Nov 18 04:08:56 bohemia kernel:        0008e000 c012ecf6 00000006 00010f00 
dff8dfb8 c0105000 c0105746 00000000 
Nov 18 04:08:56 bohemia kernel:        c012ec50 c02cffc4 
Nov 18 04:08:56 bohemia kernel: Call Trace: [refill_inactive_scan+239/432] 
refill_inactive_scan [kernel] 0xef 
Nov 18 04:08:56 bohemia kernel: Call Trace: [<c012e97f>] refill_inactive_scan 
[kernel] 0xef 
Nov 18 04:08:56 bohemia kernel: [kswapd+166/240] kswapd [kernel] 0xa6 
Nov 18 04:08:56 bohemia kernel: [<c012ecf6>] kswapd [kernel] 0xa6 
Nov 18 04:08:56 bohemia kernel: [_stext+0/48] stext [kernel] 0x0 
Nov 18 04:08:56 bohemia kernel: [<c0105000>] stext [kernel] 0x0 
Nov 18 04:08:56 bohemia kernel: [kernel_thread+38/48] kernel_thread [kernel] 
0x26 
Nov 18 04:08:56 bohemia kernel: [<c0105746>] kernel_thread [kernel] 0x26 
Nov 18 04:08:56 bohemia kernel: [kswapd+0/240] kswapd [kernel] 0x0 
Nov 18 04:08:56 bohemia kernel: [<c012ec50>] kswapd [kernel] 0x0 
Nov 18 04:08:56 bohemia kernel: 
Nov 18 04:08:56 bohemia kernel: 
Nov 18 04:08:56 bohemia kernel: Code: 0f 0b 8b 43 18 83 e0 40 75 14 8b 43 18 a9 
80 00 00 00 75 0a 

Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce

Steps to Reproduce:
Unknown,  appeared randomly

Actual Results:  Nov 18 04:02:03 bohemia kernel: ------------[ cut here ]-------
-----
Nov 18 04:02:03 bohemia kernel: kernel BUG at page_alloc.c:85!
Nov 18 04:02:03 bohemia kernel: invalid operand: 0000
Nov 18 04:02:03 bohemia kernel: Kernel 2.4.9-34
Nov 18 04:02:03 bohemia kernel: CPU:    0
Nov 18 04:02:03 bohemia kernel: EIP:    0010:[__free_pages_ok+41/736]    Not 
tainted
Nov 18 04:02:03 bohemia kernel: EIP:    0010:[<c012f159>]    Not tainted
Nov 18 04:02:03 bohemia kernel: EFLAGS: 00010286
Nov 18 04:02:03 bohemia kernel: EIP is at __free_pages_ok [kernel] 0x29 
Nov 18 04:02:03 bohemia kernel: eax: 0000001f   ebx: c1578258   ecx: 00000001   
edx: 00002d2d
Nov 18 04:02:03 bohemia kernel: esi: c1578258   edi: 001d4000   ebp: 00000000   
esp: cae3bdd8
Nov 18 04:02:03 bohemia kernel: ds: 0018   es: 0018   ss: 0018
Nov 18 04:02:03 bohemia kernel: Process httpd (pid: 31042, stackpage=cae3b000)
Nov 18 04:02:03 bohemia kernel: Stack: c0231453 00000055 c1044010 c02b8ba4 
00000216 ffffffff 00009274 c1578258 
Nov 18 04:02:03 bohemia kernel:        c1578258 001d4000 00170000 c01300f5 
c0130772 c013078c c0327360 c1116368 
Nov 18 04:02:03 bohemia kernel:        c1578258 00000000 c0124116 c1578258 
00000118 ca6227d4 00000000 08259000 
Nov 18 04:02:03 bohemia kernel: Call Trace: 
[call_spurious_interrupt+121026/146223] .rodata.str1.1 [kernel] 0x27ee 
Nov 18 04:02:03 bohemia kernel: Call Trace: [<c0231453>] .rodata.str1.1 
[kernel] 0x27ee 
Nov 18 04:02:03 bohemia kernel: [free_page_and_swap_cache+197/208] 
free_page_and_swap_cache [kernel] 0xc5 
Nov 18 04:02:03 bohemia kernel: [<c01300f5>] free_page_and_swap_cache [kernel] 
0xc5 
Nov 18 04:02:03 bohemia kernel: [free_swap_and_cache+34/192] 
free_swap_and_cache [kernel] 0x22 
Nov 18 04:02:03 bohemia kernel: [<c0130772>] free_swap_and_cache [kernel] 0x22 
Nov 18 04:02:03 bohemia kernel: [free_swap_and_cache+60/192] 
free_swap_and_cache [kernel] 0x3c 
Nov 18 04:02:03 bohemia kernel: [<c013078c>] free_swap_and_cache [kernel] 0x3c 
Nov 18 04:02:03 bohemia kernel: [zap_page_range+486/704] zap_page_range 
[kernel] 0x1e6 
Nov 18 04:02:03 bohemia kernel: [<c0124116>] zap_page_range [kernel] 0x1e6 
Nov 18 04:02:03 bohemia kernel: [vmfree_area_pages+306/448] vmfree_area_pages 
[kernel] 0x132 
Nov 18 04:02:03 bohemia kernel: [<c012b8f2>] vmfree_area_pages [kernel] 0x132 
Nov 18 04:02:04 bohemia kernel: [exit_mmap+184/288] exit_mmap [kernel] 0xb8 
Nov 18 04:02:04 bohemia kernel: [<c0126968>] exit_mmap [kernel] 0xb8 
Nov 18 04:02:04 bohemia kernel: [mmput+84/112] mmput [kernel] 0x54 
Nov 18 04:02:04 bohemia kernel: [<c01159b4>] mmput [kernel] 0x54 
Nov 18 04:02:04 bohemia kernel: [do_exit+179/496] do_exit [kernel] 0xb3 
Nov 18 04:02:04 bohemia kernel: [<c0119b23>] do_exit [kernel] 0xb3 
Nov 18 04:02:04 bohemia kernel: [dequeue_signal+109/176] dequeue_signal 
[kernel] 0x6d 
Nov 18 04:02:04 bohemia kernel: [<c011f12d>] dequeue_signal [kernel] 0x6d 
Nov 18 04:02:04 bohemia kernel: [do_signal+564/672] do_signal [kernel] 0x234 
Nov 18 04:02:04 bohemia kernel: [<c0106e14>] do_signal [kernel] 0x234 
Nov 18 04:02:04 bohemia kernel: [sys_rt_sigaction+147/240] sys_rt_sigaction 
[kernel] 0x93 
Nov 18 04:02:04 bohemia kernel: [<c0120503>] sys_rt_sigaction [kernel] 0x93 
Nov 18 04:02:04 bohemia kernel: [sys_sigreturn+185/240] sys_sigreturn [kernel] 
0xb9 
Nov 18 04:02:04 bohemia kernel: [<c01063c9>] sys_sigreturn [kernel] 0xb9 
Nov 18 04:02:04 bohemia kernel: [signal_return+20/24] signal_return [kernel] 
0x14 
Nov 18 04:02:04 bohemia kernel: [<c0106fac>] signal_return [kernel] 0x14 
Nov 18 04:02:04 bohemia kernel: 
Nov 18 04:02:04 bohemia kernel: 
Nov 18 04:02:04 bohemia kernel: Code: 0f 0b 5e 5f 8b 4b 08 85 c9 74 10 6a 57 68 
53 14 23 c0 e8 f0 
Nov 18 04:08:56 bohemia kernel:  ------------[ cut here ]------------
Nov 18 04:08:56 bohemia kernel: kernel BUG at swap.c:83!
Nov 18 04:08:56 bohemia kernel: invalid operand: 0000
Nov 18 04:08:56 bohemia kernel: Kernel 2.4.9-34
Nov 18 04:08:56 bohemia kernel: CPU:    0
Nov 18 04:08:56 bohemia kernel: EIP:    0010:
[deactivate_page_nolock+166/288]    Not tainted
Nov 18 04:08:56 bohemia kernel: EIP:    0010:[<c012d106>]    Not tainted
Nov 18 04:08:56 bohemia kernel: EFLAGS: 00010282
Nov 18 04:08:56 bohemia kernel: EIP is at deactivate_page_nolock [kernel] 0xa6 
Nov 18 04:08:56 bohemia kernel: eax: 00000019   ebx: c1578258   ecx: 00000053   
edx: c02313ed
Nov 18 04:08:56 bohemia kernel: esi: c1578258   edi: c1578274   ebp: 00000257   
esp: c188ffb8
Nov 18 04:08:56 bohemia kernel: ds: 0018   es: 0018   ss: 0018
Nov 18 04:08:56 bohemia kernel: Process kswapd (pid: 5, stackpage=c188f000)
Nov 18 04:08:56 bohemia kernel: Stack: 0001fff0 c012e97f c1578258 0000d816 
000000b7 c188e000 00000006 000000c0 
Nov 18 04:08:56 bohemia kernel:        0008e000 c012ecf6 00000006 00010f00 
dff8dfb8 c0105000 c0105746 00000000 
Nov 18 04:08:56 bohemia kernel:        c012ec50 c02cffc4 
Nov 18 04:08:56 bohemia kernel: Call Trace: [refill_inactive_scan+239/432] 
refill_inactive_scan [kernel] 0xef 
Nov 18 04:08:56 bohemia kernel: Call Trace: [<c012e97f>] refill_inactive_scan 
[kernel] 0xef 
Nov 18 04:08:56 bohemia kernel: [kswapd+166/240] kswapd [kernel] 0xa6 
Nov 18 04:08:56 bohemia kernel: [<c012ecf6>] kswapd [kernel] 0xa6 
Nov 18 04:08:56 bohemia kernel: [_stext+0/48] stext [kernel] 0x0 
Nov 18 04:08:56 bohemia kernel: [<c0105000>] stext [kernel] 0x0 
Nov 18 04:08:56 bohemia kernel: [kernel_thread+38/48] kernel_thread [kernel] 
0x26 
Nov 18 04:08:56 bohemia kernel: [<c0105746>] kernel_thread [kernel] 0x26 
Nov 18 04:08:56 bohemia kernel: [kswapd+0/240] kswapd [kernel] 0x0 
Nov 18 04:08:56 bohemia kernel: [<c012ec50>] kswapd [kernel] 0x0 
Nov 18 04:08:56 bohemia kernel: 
Nov 18 04:08:56 bohemia kernel: 
Nov 18 04:08:56 bohemia kernel: Code: 0f 0b 8b 43 18 83 e0 40 75 14 8b 43 18 a9 
80 00 00 00 75 0a 

Expected Results:  unkown

Additional info:

approx two hours after the kernel error the system crashed

Comment 1 Bugzilla owner 2004-09-30 15:40:12 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.